 
/**
 * 手机号码
 * @param {*} rule
 * @returns 
 */
export function validatePhTelNumber(rule,value,callback) {
  const reg =  /^[1][3,4,5,6,7,8,9][0-9]{9}$/
  if(!reg.test(value)){
    callback(new Error('请输入正确的手机号码'))
  }else{
    callback()
  }
}

/**
 * 统一信用社会代码
 * @param {*} rule 
 * @param {*} value 
 * @param {*} callback 
 */
export function validateCreditCode(rule,value,callback) { 
  const reg = /^[^_IOZSVa-z\W]{2}\d{6}[^_IOZSVa-z\W]{10}$/
  if(!reg.test(value)){
    callback(new Error('请输入正确的统一信用代码'))
  }else{
    callback()
  }
}

/**
 * 电子邮箱
 * @param {*} rule
 * @returns 
 */
export function validateEmail(rule,value,callback) {
  const reg = /^[A-Za-z0-9\u4e00-\u9fa5]+@[a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)+$/
  if(!reg.test(value)){
    callback(new Error('请输入正确的电子邮箱'))
  }else{
    callback()
  }
}

/**
 * 邮编
 * @param {*} rule
 * @returns 
 */
export function validateZipCode(rule,value,callback) {
  const reg = /^[1-9][0-9]{5}$/
  if(!reg.test(value)){
    callback(new Error('请输入正确的邮编'))
  }else{
    callback()
  }
}


/**
 * 身份证
 * @param {*} rule
 * @returns 
 */
export function validateIDCard(rule,value,callback) {
  const reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/
  if(!reg.test(value)){
    callback(new Error('请输入正确的身份证'))
  }else{
    callback()
  }
}

/**
 * 银行卡号
 * @param {*} rule
 * @returns 
 */
export function validateBank(rule,value,callback) {
  const reg = /^([1-9]{1})(\d{14}|\d{18}|\d{15})$/
  if(!reg.test(value)){
    callback(new Error('请输入正确的银行卡号'))
  }else{
    callback()
  }
}